﻿/**
 * Minimap labels. Basic HTML/CSS supported.
 */
{
  "labels": {
      // Maximum nickname size for {{short-nick}} macro.
      // 最大字数
      "nickShrink": 5,
      // {{vehicle-class}} macro substitutions.
      // 类别图标
      "vehicleclassmacro": {
        // LT / ЛT ♦.
        "light": "\u2022",
        // MT / СТ.
        "medium": "\u2022",
        // HT / ТТ.
        "heavy": "\u2022",
        // TD / ПТ ▼.
        "td": "\u2022",
        // Artillery / Арта. ■
        "spg": "\u25AA",
        // HeavyTank10 by gui_settings.xml.
        // 10级重坦
        "superh": "\u2022"
        // Special symbols website / 特殊图标见下网页:
        // http://www.fileformat.info/info/unicode/char/25a0/index.htm
        // Great symbolic font by Andrey_Hard for {{vehicle-class}}:
        // http://goo.gl/d2KIj
      },
      // Textfields for tanks on minimap.
      // 小地图的坦克显示
      "units": {
        // Textfields switch for revealed units.
        // 显示点亮的敌人.
        "revealedEnabled": true,
        // Textfields switch for lost enemy units. Show last seen position.
        // 显示丢失的敌人.
        "lostEnemyEnabled": true,
        // 格式.
        "format": {
          "ally":           "<span class='mm_a'>{{vehicle}}</span>",
          "teamkiller":     "<span class='mm_t'>{{vehicle}}</span>",
          "enemy":          "<span class='mm_e'>{{vehicle}}</span>",
          "squad":          "<textformat leading='-2'><span class='mm_s'><i>{{short-nick}}</i>\n{{vehicle}}</span><textformat>",
          "oneself":        "",
          "lostally":       "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_la'><i>{{vehicle}}</i></span>",
          "lostteamkiller": "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_lt'><i>{{vehicle}}</i></span>",
          "lost":           "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_l'><i>{{vehicle}}</i></span>",
          "lostsquad":      "<textformat leading='-4'><span class='mm_dot'>{{vehicle-class}}</span><span class='mm_ls'><i>{{short-nick}}</i>\n   {{vehicle}}</span><textformat>",
          "deadally":       "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_da'></span>",
          "deadteamkiller": "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_dt'></span>",
          "deadenemy":      "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_de'></span>",
          "deadsquad":      "<span class='mm_dot'>{{vehicle-class}}</span><span class='mm_ds'><i>{{short-nick}}</i></span>"
        },
        // CSS 格式
        "css": {
          "ally":            ".mm_a{font-family:simhei; font-size:10px; color:#C8FFA6;}",
          "teamkiller":      ".mm_t{font-family:simhei; font-size:10px; color:#A6F8FF;}",
          "enemy":           ".mm_e{font-family:simhei; font-size:10px; color:#FCA9A4;}",
          "squad":           ".mm_s{font-family:simhei; font-size:10px; color:#FFD099;}",
          "oneself":         ".mm_o{font-family:simhei; font-size:10px; color:#FFFFFF;}",
          "lostally":       ".mm_la{font-family:simhei; font-size:10px; color:#C8FFA6;} .mm_dot{font-family:Arial; font-size:17px; color:#B4E595;}",
          "lostteamkiller": ".mm_lt{font-family:simhei; font-size:10px; color:#A6F8FF;} .mm_dot{font-family:Arial; font-size:17px; color:#00D2E5;}",
          "lost":            ".mm_l{font-family:simhei; font-size:10px; color:#FCA9A4;} .mm_dot{font-family:Arial; font-size:17px; color:#E59995;}",
          "lostsquad":      ".mm_ls{font-family:simhei; font-size:10px; color:#FFD099;} .mm_dot{font-family:Arial; font-size:17px; color:#E5BB8A;}",
          "deadally":       ".mm_da{font-family:simhei; font-size:10px; color:#6E8C5B;} .mm_dot{font-family:Arial; font-size:17px; color:#004D00;}",
          "deadteamkiller": ".mm_dt{font-family:simhei; font-size:10px; color:#5B898C;} .mm_dot{font-family:Arial; font-size:17px; color:#043A40;}",
          "deadenemy":      ".mm_de{font-family:simhei; font-size:10px; color:#996763;} .mm_dot{font-family:Arial; font-size:17px; color:#4D0300;}",
          "deadsquad":      ".mm_ds{font-family:simhei; font-size:10px; color:#997C5C;} .mm_dot{font-family:Arial; font-size:17px; color:#663800;}"
        },
        // Fields shadow.
        // 阴影
        "shadow": {
          "ally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "teamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "enemy": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "squad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "oneself": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "lostally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 6, "strength": 3 },
          "lostteamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 6, "strength": 3 },
          "lost": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 6, "strength": 3 },
          "lostsquad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 6, "strength": 3 },
          "deadally": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "deadteamkiller": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "deadenemy": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 },
          "deadsquad": 
           { "enabled": true, "color": "0x000000", "distance": 0, "angle": 0, "alpha": 80, "blur": 3, "strength": 3 }
        },
        // Field offset ralative to current icon (except lost - relative to enemy last seen position).
        // 图标偏移
        "offset": {
          "ally":           {"x": 3, "y": -1},
          "teamkiller":     {"x": 3, "y": -1},
          "enemy":          {"x": 3, "y": -1},
          "squad":          {"x": 3, "y": -2},
          "oneself":        {"x": 0, "y": 0},
          "lostally":       {"x": -5, "y": -11},
          "lostteamkiller": {"x": -5, "y": -11},
          "lost":           {"x": -5, "y": -11},
          "lostsquad":      {"x": -5, "y": -11},
          "deadally":       {"x": -5, "y": -11},
          "deadteamkiller": {"x": -5, "y": -11},
          "deadenemy":      {"x": -5, "y": -11},
          "deadsquad":      {"x": -5, "y": -11}
        },
        // 透明度
        "alpha" : {
          "ally": 100,
          "teamkiller": 100,
          "enemy": 100,
          "squad": 100,
          "oneself": 100,
          "lostally": 70,
          "lostteamkiller": 70,
          "lost": 70,
          "lostsquad": 70,
          "deadally": 50,
          "deadteamkiller": 50,
          "deadenemy": 0,
          "deadsquad": 50
        }
      },
      // Textfield for map side size. 1000m, 700m, 600m.
      // 地图大小显示
      "mapSize": {
        "enabled": true,
        "format": "<b>{{cellsize}}0 м</b>",
        "css": "font-size:10px; color:#FFCC66;",
        "alpha": 80,
        "offsetX": 0,
        "offsetY": 0,
        "shadow": {
          "enabled": true,
          "color": "0x000000",
          "distance": 0,
          "angle": 0,
          "alpha": 80,
          "blur": 2,
          "strength": 3
        },
        // Decrease sizes in case of map image weird shrinking while map resize.
        // Increase sizes in case of field being partially cut off.
        "width": 100,
        "height": 30
      }
    }
}